# Inspecting Run Results

The `inspect results` subtool can display information about the
`RunResults` object generated by `Comparator.run()`:

For example, first we'll generate some run results using 3 ONNX-Runtime runners:

```bash
polygraphy run ../../../models/identity.onnx --onnxrt --onnxrt --onnxrt \
    --save-results onnxrt_results.pkl
```

Next, we can inspect them:

```bash
polygraphy inspect results onnxrt_results.pkl
```

This will display something like:

```
[I] ==== Run Results (3 runners) ====

    ---- Runner: onnxrt-runner-N0-09/17/20-10:21:38 (1 iterations) ----
    {y [dtype=float32, shape=(1, 1, 2, 2)]}

    ---- Runner: onnxrt-runner-N1-09/17/20-10:21:38 (1 iterations) ----
    {y [dtype=float32, shape=(1, 1, 2, 2)]}

    ---- Runner: onnxrt-runner-N2-09/17/20-10:21:38 (1 iterations) ----
    {y [dtype=float32, shape=(1, 1, 2, 2)]}
```
